org.eclipse.emf.facet.custom.sdk.core

## Interface ICustomizationCommandFactory

    public interface ICustomizationCommandFactory

This interface provide a command factory. A command modify the editingDomain.

Since:
  0.3
See Also:
  `CustomizationCommandFactory`
Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`Command` `addValueInCase(ETypedElementCase elementCase, Query value)`
`Command` `createEClassCustomization(Customization parent, EClassCustomization eClassCustom)` Create the command to add a eClassCustomization to an existing customization (parent).
`Command` `createFacetCustomization(Customization parent, FacetCustomization facetCustom)` Create the command to add a facetCustomization to an existing customization (parent).

### Method Detail

#### createEClassCustomization

    Command createEClassCustomization(Customization parent,
                                      EClassCustomization eClassCustom)

Create the command to add a eClassCustomization to an existing customization (parent).

Parameters:
  `Customization` - the parent of the eClassCustomization to add.
  `eClassCustom` - the eClassCustomization to add.
Returns:
  the command.

#### createFacetCustomization

    Command createFacetCustomization(Customization parent,
                                     FacetCustomization facetCustom)

Create the command to add a facetCustomization to an existing customization (parent).

Parameters:
  `parent` - the parent of the facetCustomization to add.
  `facetCustom` - the facetCustomization to add.
Returns:
  the command.

#### addValueInCase

    Command addValueInCase(ETypedElementCase elementCase,
                           Query value)